Subject: Re: [GSoC] Designing a faster index format - Progress report week 13

From: Robin Rosenberg <[email-masked]>
Date: Sun, 22 Jul 2012 17:22:17 +0200

A note on how JGit would work here. Java has none of the fields
that constitute statcrc. I guess we would write zero here when
creating new entries. Git could recognize that when checking status and 
simply assume "clean" unless mtime or st_size says otherwise.

For existing entries JGit could either keep the old value (which is
probably a lie since) or zero it.

A modification to the spec would be that 0 == not set.

-- robin